#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab --output src/JsonSerializer/autoload.php \
		--template debian/autoload.php.tpl \
		src/JsonSerializer/

	# keep in sync with debian/tests/run-upstream-tests
	# This is needed because of the test classes
	phpabtpl 2>/dev/null --require-file ../src/JsonSerializer/autoload.php > debian/vendor-autoload.php.tpl
	phpab --output tests/autoload.php \
		  --template debian/vendor-autoload.php.tpl \
		tests

override_dh_auto_test:
	# keep in sync with debian/tests/run-upstream-tests
	phpunit --bootstrap tests/autoload.php
